Bug 1021569 - [AMQP 1.0] Receiver::isClosed() always returns false
[AMQP 1.0] Receiver::isClosed() always returns false
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
unspecified Severity unspecified
: 3.0
: ---
Assigned To: Gordon Sim
Zdenek Kraus
:
Depends On:
Blocks: 1010399
  Show dependency treegraph
 
Reported: 2013-10-21 10:26 EDT by Gordon Sim
Modified: 2015-01-21 07:57 EST (History)
4 users (show)

See Also:
Fixed In Version: qpid-cpp-0.22-22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-21 07:57:07 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache JIRA QPID-5247 None None None Never

  None (edit)
Description Gordon Sim 2013-10-21 10:26:17 EDT
Description of problem:

The Receiver class in the c++ messaging API defines an isClosed() method. For a 1.0 based connection, that method always returns false.

Version-Release number of selected component (if applicable):

qpid-0.24

How reproducible:

100%

Steps to Reproduce:
1. Create a 1.0 based connection, session and receiver
2. close the receiver
3. check what isClosed() returns for that closed receiver

Actual results:

It returns false.

Expected results:

It should return true.

Additional info:
Comment 1 Gordon Sim 2013-10-21 10:27:24 EDT
Fixed upstream: https://svn.apache.org/r1534108
Comment 2 Zdenek Kraus 2014-02-05 08:19:46 EST
Tested on RHEL 6.5 i686 & x86_64, with packages:

perl-qpid-0.22-7.el6
python-qpid-0.22-10.el6
python-qpid-qmf-0.22-26.el6
qpid-cpp-client-0.22-33.el6
qpid-cpp-client-devel-0.22-33.el6
qpid-cpp-client-devel-docs-0.22-33.el6
qpid-cpp-client-ssl-0.22-33.el6
qpid-cpp-debuginfo-0.22-33.el6
qpid-cpp-server-0.22-33.el6
qpid-cpp-server-devel-0.22-33.el6
qpid-cpp-server-ha-0.22-33.el6
qpid-cpp-server-ssl-0.22-33.el6
qpid-cpp-server-store-0.22-33.el6
qpid-cpp-server-xml-0.22-33.el6
qpid-java-client-0.22-5.el6
qpid-java-common-0.22-5.el6
qpid-java-example-0.22-5.el6
qpid-jca-0.22-1.el6
qpid-jca-xarecovery-0.22-1.el6
qpid-proton-c-0.6-1.el6
qpid-proton-c-devel-0.6-1.el6
qpid-proton-debuginfo-0.6-1.el6
qpid-qmf-0.22-26.el6
qpid-qmf-debuginfo-0.22-26.el6
qpid-snmpd-1.0.0-15.el6
qpid-snmpd-debuginfo-1.0.0-15.el6
qpid-tools-0.22-7.el6
ruby-qpid-qmf-0.22-26.el6

-> VERIFIED

Note You need to log in before you can comment on or make changes to this bug.